function BBF_DoStuff()
	local LBF = LibStub("LibButtonFacade", true)
	if not LBF then return end
	BlizzBuffsFacade = BlizzBuffsFacade or {}
	BlizzBuffsFacade.Buffs = BlizzBuffsFacade.Buffs or {}
	BlizzBuffsFacade.Debuffs = BlizzBuffsFacade.Debuffs or {}
	local function SkinCallback(arg, SkinID, Gloss, Backdrop, Group, Button, Colors)
		if Group then
			BlizzBuffsFacade[Group].S = SkinID
			BlizzBuffsFacade[Group].G = Gloss
			BlizzBuffsFacade[Group].B = Backdrop
			BlizzBuffsFacade[Group].C = Colors
		end
	end
	local b = BlizzBuffsFacade.Buffs;
	local d = BlizzBuffsFacade.Debuffs;
	LBF:Group("Blizzard Buffs", "Buffs"):Skin(b.S,b.G,b.B,b.C);
	LBF:Group("Blizzard Buffs", "Debuffs"):Skin(d.S,d.G,d.B,d.C);
	for i=1,BUFF_MAX_DISPLAY do
		local buff = _G["BuffButton"..i];
		local debuff = _G["DebuffButton"..i];
		if buff then
			LBF:Group("Blizzard Buffs", "Buffs"):AddButton(buff);
		end
		if debuff then
			LBF:Group("Blizzard Buffs", "Debuffs"):AddButton(debuff);
		end
		if not buff and not debuff then break end
	end
	LBF:RegisterSkinCallback("Blizzard Buffs", SkinCallback,self)
	hooksecurefunc("CreateFrame", function (...)
		local _, name = ...
		if not (type(name) == "string") then return end
		if strfind(name,"^DebuffButton") then
			LBF:Group("Blizzard Buffs", "Debuffs"):AddButton(_G[name]);
		elseif strfind(name,"^BuffButton") then
			LBF:Group("Blizzard Buffs", "Buffs"):AddButton(_G[name]);
		end
	end
	)
end
local f = CreateFrame("Frame")
f:SetScript("OnEvent",BBF_DoStuff)
f:RegisterEvent("PLAYER_ENTERING_WORLD")

